gambas3-gb-opengl_3.8.4-2ubuntu3_i386.deb


Advertisement

Description

gambas3-gb-opengl - Gambas OpenGL component

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package filename gambas3-gb-opengl_3.8.4-2ubuntu3_i386.deb
Package name gambas3-gb-opengl
Package version 3.8.4
Package release 2ubuntu3
Package architecture i386
Package type deb
Category universe/libdevel
Homepage http://gambas.sourceforge.net
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 32.90 KB
Installed size 156.00 KB
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
This package allows you 3D programming with OpenGL in gambas.

Alternatives

Package Version Architecture Repository
gambas3-gb-opengl_3.8.4-2ubuntu3.1_i386.deb 3.8.4 i386 Ubuntu Updates Universe
gambas3-gb-opengl_3.8.4-2ubuntu3.1_amd64.deb 3.8.4 amd64 Ubuntu Updates Universe
gambas3-gb-opengl_3.8.4-2ubuntu3_amd64.deb 3.8.4 amd64 Ubuntu Universe
gambas3-gb-opengl - - -

Requires

Name Value
gambas3-runtime >= 3.8.4-2ubuntu3
libc6 >= 2.4
libgl1 -
libgl1-mesa-glx -
libglew1.13 >= 1.12.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gambas3-gb-opengl_3.8.4-2ubuntu3_i386.deb
Source Package gambas3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gambas3-gb-opengl deb package:
    # sudo apt-get install gambas3-gb-opengl

Files

Path
/usr/lib/gambas3/gb.opengl.component
/usr/lib/gambas3/gb.opengl.so
/usr/lib/gambas3/gb.opengl.so.0
/usr/lib/gambas3/gb.opengl.so.0.0.0
/usr/share/doc/gambas3-gb-opengl/changelog.Debian.gz
/usr/share/doc/gambas3-gb-opengl/copyright
/usr/share/gambas3/info/gb.opengl.info
/usr/share/gambas3/info/gb.opengl.list

Changelog

2016-04-05 - Robie Basak <robie.basak@ubuntu.com>
gambas3 (3.8.4-2ubuntu3) xenial; urgency=medium
* Rebuild against libmysqlclient20.
2016-03-07 - Iain Lane <iain@orangesquash.org.uk>
gambas3 (3.8.4-2ubuntu2) xenial; urgency=medium
* No-change rebuild against new poppler
2016-01-05 - Gianfranco Costamagna <locutusofborg@debian.org>
gambas3 (3.8.4-2ubuntu1) xenial; urgency=medium
* Merge from Debian unstable (LP: #1530949). Remaining changes:
- debian/control:
+ Drop libsqlite0-dev dependency.
+ Drop gambas3-gb-db-sqlite2.
2016-01-05 - Gianfranco Costamagna <locutusofborg@debian.org>
gambas3 (3.8.4-2) unstable; urgency=medium
* Team upload.
* Switch to libpng-dev to ease libpng transition (Closes: #809862).
2015-12-16 - Gianfranco Costamagna <locutusofborg@debian.org>
gambas3 (3.8.4-1) unstable; urgency=medium
* Team upload.
* Upload to unstable
* Update libgsl0-dev to libgsl-dev, to ease gsl transition.
* Remove deprecated menu file (Per the tech-ctte decision on #741573)
* Disable qt4 webkit (Closes: #784465).
* New upstream release, drop gnu_support patch, merged upstream
(Closes: #807061).
* Add breaks+replaces for gb-desktop{x11} package. (Closes: #787921)
* Drop -examples package, dropped upstream.
* Add new pacages: gambas3-gb-report2 gambas3-gb-sdl2-audio gambas3-gb-sdl2
gambas3-gb-util gambas3-gb-util-web gambas3-gb-scanner
* Add some new build-dependencies, needed for new sdl2 packages:
libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-ttf-dev
* Fix some install files.
* Drop DejaVuSans.ttf sdl link, dropped in version 3.5.3
* Add xdg-utils as build-dependency, needed to correctly handle mimes.
* fix copyright file, adding missing svg CC-by-sa licenses, removing some old
entries, making it really machine readable, add some public domain licenses
(Closes: #787761)
* Remove llvm-dev build-dependency, forcing llvm-3.5 (there is no planned
porting on top of a newer llvm release
(http://gambaswiki.org/bugtracker/edit?object=BUG.835).
* Simplify libv4l-dev build-dependency.
* Stop building gambas3-gb-inotify package on kfreebsd-* (missing libc header)
* move webkit support in new qt5 package.
2015-01-16 - José L. Redrejo Rodríguez <jredrejo@debian.org>
gambas3 (3.6.2-1) experimental; urgency=low
* Team upload.
[ José L. Redrejo Rodríguez ]
* Fixes in debian/rules & debian control to fix lintian warnings and errors
[ Gianfranco Costamagna ]
* New upstream release. (Closes: #775452)
- refresh patches.
- drop patches merged upstream: detect_browser_debian, fix-llvm-3.5.patch
fix_typos,
- move kfreebsd_support into gnu_support, since kfreebsd is now upstream
supported (cfr upstream issue 595 for the gnu support)
* Rewrite rules file, dropping old hacks, and following new dh rules.
* Bump standard version to 3.9.6, no changes required.
* Wrap and sort debian directory.
* Add appdata file
* Add libgtk-3-dev as build dependency, needed for the new gtk3 package.
* Add libdumb1, seems needed in the install target (spot by some build logs).
* Drop PHP3 License, the code has been removed already in 3.5.4.
* Drop SIL-1.1, file _default.bdf has been removed upstream.
* Tweak debian/rules to remove the _default.bdf file.
* New packages: gambas3-gb-desktop-x11, gambas3-gb-inotify,
gambas3-gb-markdown, gambas3-gb-gtk3.
* Fix some install files.
2015-12-08 - Dimitri John Ledkov <xnox@ubuntu.com>
gambas3 (3.5.4-2ubuntu11) xenial; urgency=high
* Rebuild against libpoppler57/s390x.
2015-12-08 - Michael Terry <mterry@ubuntu.com>
gambas3 (3.5.4-2ubuntu10) xenial; urgency=medium
* Rebuild against new gsl SONAME change.
2015-11-25 - Robert Ancell <robert.ancell@canonical.com>
gambas3 (3.5.4-2ubuntu9) xenial; urgency=medium
* debian/patches/broken_includes:
- Fix FTBS from missing space between includes
2015-11-23 - Robert Ancell <robert.ancell@canonical.com>
gambas3 (3.5.4-2ubuntu8) xenial; urgency=medium
* No-change rebuild against libpoppler57

See Also

Package Description
gambas3-gb-openssl_3.8.4-2ubuntu3_i386.deb Gambas OpenSSL component
gambas3-gb-option_3.8.4-2ubuntu3_i386.deb Gambas option component
gambas3-gb-pcre_3.8.4-2ubuntu3_i386.deb Gambas regexp component
gambas3-gb-pdf_3.8.4-2ubuntu3_i386.deb Gambas pdf component
gambas3-gb-qt4-ext_3.8.4-2ubuntu3_i386.deb Gambas extended Qt GUI component
gambas3-gb-qt4-opengl_3.8.4-2ubuntu3_i386.deb Gambas OpenGL component with QT4 toolkit
gambas3-gb-qt4_3.8.4-2ubuntu3_i386.deb Gambas Qt GUI component
gambas3-gb-qt5-opengl_3.8.4-2ubuntu3_i386.deb Gambas OpenGL component with QT5 toolkit
gambas3-gb-qt5-webkit_3.8.4-2ubuntu3_i386.deb Gambas WebKit component
gambas3-gb-qt5_3.8.4-2ubuntu3_i386.deb Gambas Qt5 GUI component
gambas3-gb-report2_3.8.4-2ubuntu3_all.deb Gambas report2 component
gambas3-gb-report_3.8.4-2ubuntu3_all.deb Gambas report component
gambas3-gb-scanner_3.8.4-2ubuntu3_i386.deb Gambas scanner component
gambas3-gb-sdl-sound_3.8.4-2ubuntu3_i386.deb Gambas SDL sound component
gambas3-gb-sdl2-audio_3.8.4-2ubuntu3_i386.deb Gambas SDL2 audio component
Advertisement
Advertisement